## org.freedesktop.NetworkManager.Device.WifiP2P org.freedesktop.NetworkManager.Device.WifiP2P — Wi-Fi P2P Device. |

## Methods

    StartFind (IN  a{sv} options);
    StopFind  ();

## Signals

    PeerAdded   (o peer);
    PeerRemoved (o peer);

## Properties

    HwAddress  readable   s
    Peers      readable   ao

## Description

Since 1.16

## Method Details

### The StartFind() method

    StartFind (IN  a{sv} options);

Start a find operation for Wi-Fi P2P peers.

The `options` argument accepts the following keys:

`i timeout`: | Timeout value in the range of 1-600 seconds. The default is 30 seconds.

`IN a{sv} `options``: | Options of find.

Since 1.16

### The StopFind() method

    StopFind ();

Stop an ongoing find operation again.

Since 1.16

## Signal Details

### The "PeerAdded" signal

    PeerAdded (o peer);

Emitted when a new Wi-Fi P2P peer is found by the device.

`o `peer``: | The object path of the newly found access point.

Since 1.16

### The "PeerRemoved" signal

    PeerRemoved (o peer);

Emitted when a Wi-Fi P2P peer disappears from view of the device.

`o `peer``: | The object path of the Wi-Fi P2P peer that has disappeared.

Since 1.16

## Property Details

### The "HwAddress" property

    HwAddress  readable   s

The active hardware address of the device.

DEPRECATED. Use the "HwAddress" property in "org.freedesktop.NetworkManager.Device" instead which exists since version NetworkManager 1.24.0.

Since 1.16

### The "Peers" property

    Peers  readable   ao

List of object paths of peers visible to this Wi-Fi P2P device.

Since 1.16